package main

import (
	"dubbo.apache.org/dubbo-go/v3/common/logger"
	"fmt"
	"github.com/fonchain/fonchain-container/cmd/internal/controller"
	sysconf "github.com/fonchain/fonchain-container/pkg/config"
	"github.com/fonchain/fonchain-container/pkg/ticker"
	"os"

	"dubbo.apache.org/dubbo-go/v3/config"

	_ "dubbo.apache.org/dubbo-go/v3/imports"
	"github.com/fonchain/fonchain-container/pkg/cache"
	db "github.com/fonchain/fonchain-container/pkg/db"
	"github.com/fonchain/fonchain-container/pkg/m"
	_ "github.com/fonchain/fonchain-container/pkg/service" //重要导入
)

// export DUBBO_GO_CONFIG_PATH= PATH_TO_SAMPLES/helloworld/go-server/conf/dubbogo.yaml
func main() {
	if err := sysconf.LoadConfig(m.SERVER_CONFIG); err != nil {
		panic(err.Error())
	}
	db.Init(m.SERVER_CONFIG)
	fmt.Println("redis配置")
	cache.InitRedis(m.SERVER_CONFIG)
	fmt.Println("注入provider")
	//加载微服务
	config.SetProviderService(&controller.ContainerProvider{})

	fmt.Println("开始配置文件")
	if err := config.Load(); err != nil {
		panic(err)
	}
	logger.Info("开始配置文件end")

	//打印镜像构建时间
	printImageBuildDateFromFile()

	//定时任务，循环时间是写死的
	go ticker.SimpleRunTimerTask()
	select {}
}

func printImageBuildDateFromEnv() {
	buildDate := os.Getenv("BUILD_DATE")
	fmt.Println("镜像生成时间:", buildDate)
}
func printImageBuildDateFromFile() {
	buildDate, _ := os.ReadFile("../conf/imageCreatedAt")
	fmt.Println("镜像生成时间:", string(buildDate))
}
